#include <WiFi.h>
#include <WiFiClient.h>
#include <WebServer.h>

const char* ssid = "WLAN_Name";
const char* password = "Passwort";

const char indexHTML[] PROGMEM = R"=====(
<!DOCTYPE html>
<html>
 <head>
  <title>Erstes Programm</title>
  <meta http-equiv="content-type" content="text/html; charset=UTF-8">
  <meta name=viewport content="width=device-width, initial-scale=1"> 
 </head>
 <body>
            <h1 style="text-align: center;">Hallo ESP32</h1>
 </body>
</html>
)=====" ;

WebServer server(80);
IPAddress apIP(192, 168, 1, 1);

void setup(void)
{
  Serial.println("Warte auf Verbindung");
  WiFi.mode(WIFI_STA);
  WiFi.begin(ssid, password);
  Serial.println("");

  while (WiFi.status() != WL_CONNECTED) 
  {
    delay(500);
    Serial.print(".");
  }
  Serial.println("");
  Serial.print("IP Addresse: ");
  Serial.println(WiFi.localIP());
  server.on("/", Ereignis_Index);
  server.onNotFound(handleNotFound);
  server.begin();
  Serial.println("HTTP Server gestartet");
}

void Ereignis_Index()    // Wird ausgeführt wenn "http://<ip address>/" aufgerufen wurde
{
  server.send(200, "text/html", indexHTML);      //dann Index Webseite senden 
}

void handleNotFound()
{
  server.send(404, "text/plain", "File Not Found\n\n");
}

void loop(void) 
{
  server.handleClient();
}
